// MainFrm.h : interface of the CMainFrame class
//
// OpenTrap Version 1.00 by Gregory A. Wolking
// Copyright  1997 Ziff-Davis Publishing
// First published in PC Magazine, US Edition, July 1997.
/////////////////////////////////////////////////////////////////////////////
class CMainFrame : public CFrameWnd
{
protected: // create from serialization only
	CMainFrame();
	DECLARE_DYNCREATE(CMainFrame)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CToolBar	m_wndViewToolBar;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnLoggingStart();
	afx_msg void OnLoggingStop();
	afx_msg void OnLoggingOptions();
	afx_msg void OnUpdateFileSave(CCmdUI* pCmdUI);
	afx_msg void OnUpdateFileSaveAs(CCmdUI* pCmdUI);
	afx_msg void OnFileExport();
	afx_msg void OnViewFilter();
	afx_msg void OnViewRecnum();
	afx_msg void OnUpdateViewRecnum(CCmdUI* pCmdUI);
	afx_msg void OnClose();
	afx_msg void OnUpdateFilePrint(CCmdUI* pCmdUI);
	afx_msg void OnViewFont();
	afx_msg void OnViewFontDefault();
	afx_msg void OnUpdateViewFontDefault(CCmdUI* pCmdUI);
	afx_msg BOOL OnQueryEndSession();
	//}}AFX_MSG
	afx_msg void OnViewMove(UINT nID);
	afx_msg void OnUpdateViewMove(CCmdUI* pCmdUI);
	afx_msg void OnUpdateIndicators(CCmdUI* pCmdUI);
	afx_msg void OnUpdateLogging(CCmdUI* pCmdUI);
	afx_msg LONG On_VXD_Stop_Request(WPARAM wParam, LPARAM lParam);
	afx_msg LONG On_Taskbar_Notify(WPARAM wParam, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
private:
	BOOL m_bVisible;
	BOOL m_bInTaskBar;
	DWORD m_intStartRecCount;
	void Stop_Logging(void);
	BOOL Start_Logging(void);
	void DockControlBarLeftOf(CToolBar* Bar,CToolBar* LeftOf);
	void WriteWindowPlacement(LPWINDOWPLACEMENT pwp);
	BOOL ReadWindowPlacement(LPWINDOWPLACEMENT pwp);
	BOOL Do_Taskbar_Icon(UINT func);
};

/////////////////////////////////////////////////////////////////////////////
